EnhancesTraitTransformation (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Groovy] Class EnhancesTraitTransformation

- org.grails.compiler.injection.EnhancesTraitTransformation

- All Implemented Interfaces and Traits:
    groovy.transform.CompilationUnitAware

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase: CompilePhase.CANONICALIZATION)
      @groovy.transform.CompileStatic
      class EnhancesTraitTransformation
      extends AbstractArtefactTypeAstTransformation
      implements groovy.transform.CompilationUnitAware

  Implementation for {

  link:
    Enhances
  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.codehaus.groovy.ast.ClassNode` | `MY_TYPE` |
    `private org.codehaus.groovy.control.CompilationUnit` | `compilationUnit` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.codehaus.groovy.control.CompilationUnit` | `compilationUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EnhancesTraitTransformation ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isTrait(org.codehaus.groovy.ast.ClassNode cNode)`
    `` | `void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractArtefactTypeAstTransformation` | `performInjectionOnArtefactType`

- - ### Field Detail

    - #### private static final org.codehaus.groovy.ast.ClassNode MY_TYPE

    - #### private org.codehaus.groovy.control.CompilationUnit compilationUnit

  - ### Property Detail

    - #### org.codehaus.groovy.control.CompilationUnit compilationUnit

  - ### Constructor Detail

    - #### EnhancesTraitTransformation()

  - ### Method Detail

    - #### boolean isTrait(org.codehaus.groovy.ast.ClassNode cNode)

    - #### @java.lang.Override void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)